classification
Title: test_regrtest fails if PCBuild directory doesn't exist
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ezio.melotti, michael.foord, ppperry
Priority: normal Keywords:

Created on 2017-01-08 01:14 by ppperry, last changed 2018-07-14 21:55 by ppperry. This issue is now closed.

Messages (3)
msg284947 - (view) Author: (ppperry) Date: 2017-01-08 01:14
======================================================================
ERROR: test_pcbuild_rt (test.test_regrtest.ProgramsTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\Program Files (x86)\Python36-32\lib\test\test_regrtest.py", line 564, in test_pcbuild_rt
    self.run_batch(script, *rt_args, *self.regrtest_args, *self.tests)
  File "C:\Program Files (x86)\Python36-32\lib\test\test_regrtest.py", line 539, in run_batch
    proc = self.run_command(args)
  File "C:\Program Files (x86)\Python36-32\lib\test\test_regrtest.py", line 436, in run_command
    **kw)
  File "C:\Program Files (x86)\Python36-32\lib\subprocess.py", line 403, in run
    with Popen(*popenargs, **kwargs) as process:
  File "C:\Program Files (x86)\Python36-32\lib\subprocess.py", line 707, in __init__
    restore_signals, start_new_session)
  File "C:\Program Files (x86)\Python36-32\lib\subprocess.py", line 990, in _execute_child
    startupinfo)
FileNotFoundError: [WinError 2] The system cannot find the file specified
msg321663 - (view) Author: (ppperry) Date: 2018-07-14 21:52
This issue seems to have been fixed in 3.7
msg321665 - (view) Author: (ppperry) Date: 2018-07-14 21:55
To be precise, fixed as part of issue33352
History
Date User Action Args
2018-07-14 21:55:28ppperrysetmessages: + msg321665
2018-07-14 21:52:48ppperrysetstatus: open -> closed
resolution: fixed
messages: + msg321663

stage: resolved
2017-01-21 17:55:02ppperrysetnosy: + ezio.melotti, michael.foord
2017-01-08 01:44:53ppperrysettype: behavior
2017-01-08 01:15:11ppperrysetcomponents: + Tests
2017-01-08 01:14:55ppperrycreate